Summary: Utilities for the XFce Desktop Environment
Summary (ru_RU.UTF8): Различные утилиты для окружения рабочего стола Xfce
Name: xfce-utils
Version: 4.8.3
Release: alt3
License: %gpl2plus
Url: http://www.xfce.org/
Source: %name-%version.tar
Source1: xfce.wmsession
Patch4: alt-xfce-utils-xinitrc.patch
Patch5: xfce-utils-xfterm4-bug.patch
Patch6: xfce-utils-4.7.1-fedora-test-running-screensver.patch
Patch8: xfce-utils-4.8.2-alt-fix-xfhelp4-fallback.patch
Patch9: xfce-utils-4.8.3-alt-convert-primary.patch

# From upstream
Patch100: xfce-utils-4.8.3-dont-remove-home.patch
Patch101: xfce-utils-4.8.3-dont-run-migration-in-gnome.patch
Patch102: xfce-utils-4.8.3-fix-desktop-categories.patch

Group: Graphical desktop/XFce
Packager: XFCE Team <xfce@packages.altlinux.org>

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 libxfce4ui-devel xfce4-dev-tools
# For exo-csource (needed in maintainer mode)
BuildPreReq: libexo-devel

BuildRequires: intltool libSM-devel libdbus-glib-devel xorg-cf-files perl-XML-Parser
BuildRequires: gtk-doc

Requires: wm-common-freedesktop

#set_automake_version 1.10
#set_autoconf_version 2.60
%add_findreq_skiplist */xflock4
%add_findreq_skiplist */xinitrc

%description
This package includes utilities for the Xfce Desktop Environment.

%description -l ru_RU.UTF8
Данный пакет содержит в себе утилиты для окружения рабочего стола Xfce.

%prep
%setup

%patch100 -p1
%patch101 -p1
%patch102 -p1

%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch9 -p1

%build
%xfce4reconf
%configure  \
	--disable-static \
	--enable-maintainer-mode \
	--enable-dbus \
	--enable-debug=no \
	--with-browser=midori \
	--with-terminal=Terminal \
	--enable-gen-doc
#	--with-vendor-info=ALTLinux \
%make

# Fix links, use Russian documentation
sed -i 's;/html/C/;/html/ru/;g' doc/manual/html/ru/index.html

%install
%makeinstall_std
install -Dm0644 %SOURCE1 %buildroot%_x11sysconfdir/wmsession.d/10Xfce4

%find_lang %name

%files -f %name.lang
%doc README TODO NEWS AUTHORS
%_bindir/*
%_defaultdocdir/%name
%config(noreplace) %_sysconfdir/xdg/xfce4/*
%config(noreplace) %_sysconfdir/xdg/autostart/*.desktop
%_libdir/xfce4/xfconf-migration/
%_datadir/dbus-1/services/org.xfce.RunDialog.service
%_x11sysconfdir/wmsession.d/*
%_desktopdir/*
%_datadir/xsessions/*.desktop

# xfrun4 replaced with xfce4-appfinder-4.9.
%exclude %_bindir/xfrun4
%exclude %_desktopdir/xfrun4.desktop

# xfce4-about in libxfce4ui-4.9 now.
%exclude %_bindir/xfce4-about
%exclude %_desktopdir/xfce4-about.desktop
%exclude %_liconsdir/xfce4-logo.png

%changelog
* Tue Jan 10 2012 Mikhail Efremov <sem@altlinux.org> 4.8.3-alt3
- Don't package xfrun4 and xfce4-about.
- Updated fix-desktop-categories.patch.
- Patches from upstream:
  + Prevent the migration script to be run each time a user log
    in GNOME.
  + Don't try to remove the $HOME directory.

* Wed Nov 09 2011 Mikhail Efremov <sem@altlinux.org> 4.8.3-alt2
- xinitrc: convert <Primary> to <Control> in shortcuts.

* Fri Oct 07 2011 Mikhail Efremov <sem@altlinux.org> 4.8.3-alt1
- Drop obsoleted patches.
- Updated to 4.8.3.

* Fri Aug 19 2011 Mikhail Efremov <sem@altlinux.org> 4.8.2-alt5
- Fix links, use Russian documentation.
- Update Russian documentation (by Artem Zolochevskiy).
- Update Russian translation (by Artem Zolochevskiy).

* Tue Jul 19 2011 Mikhail Efremov <sem@altlinux.org> 4.8.2-alt4
- Update Russian translation (by Andrey Cherepanov).
- Add Russian documentation (by Artem Zolochevskiy).

* Fri Jul 15 2011 Mikhail Efremov <sem@altlinux.org> 4.8.2-alt3
- Fix xfhelp4 fallback logic in another way.

* Thu Jul 14 2011 Mikhail Efremov <sem@altlinux.org> 4.8.2-alt2
- Fix xfhelp4 fallback logic (closes: #25906).

* Fri Jun 24 2011 Mikhail Efremov <sem@altlinux.org> 4.8.2-alt1
- Updated to 4.8.2.
- Fix wmsession file permissions.

* Thu Mar 31 2011 Mikhail Efremov <sem@altlinux.org> 4.8.1-alt3
- Add wm-common-freedesktop dependence (closes: #25304).

* Wed Mar 30 2011 Mikhail Efremov <sem@altlinux.org> 4.8.1-alt2
- Remove old session-icon patch.
- Fix name in xfce.wmsession.
- Drop screen-saver-engine require (closes: #23901)..
- Set default browser to midori.

* Tue Feb 15 2011 Mikhail Efremov <sem@altlinux.org> 4.8.1-alt1
- Updated to 4.8.1.

* Mon Jan 24 2011 Mikhail Efremov <sem@altlinux.org> 4.8.0-alt1
- Add patches from FC.
- Add xfterm4-bug.patch (closes: #13761).
- Merge xfce-utils-xrdb.patch to alt-xfce-utils-xinitrc.patch.
- Remove xfce-utils-altlinux-gdm.patch.
- Spec cleanup, tar.bz2 -> tar.
- Updated to 4.8.0.

* Wed Aug 19 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt5
- Russian translation updated.

* Sun Jun 14 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt4
- Fix for bug #20346 (removed dependencies for concrete screensavers). Added dependency for 'screen-saver-engine'.
- Updated description for package.

* Sat Jun 06 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt3
Fix for bug 20346

* Mon May 25 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt2
- Fix build with new toolchain. Added autoconf and automake version requiremens. 

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
Xfce 4.6.1

* Sat Apr 18 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
Xfce 4.6 Final

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt2
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt2
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt2
- Xfce 4.6 beta1

* Wed May 21 2008 Eugene Ostapets <eostapets@altlinux.ru> 4.4.2-alt2
- Disable vendor information (bug:#15724)
- fix post scripts(tnx repocop)

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Tue Oct 23 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 10917

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- fix 10917

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 4.3.99.2-alt2.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Fri Nov 10 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt2
- add icon for wm-select (bug 10240)
- strict library version build requires

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- first build

